LIBMTP_device_entry_struct Struct Reference
libmtp data structures

`#include <libmtp.h>`

## Data Fields

char * | vendor
uint16_t | vendor_id
char * | product
uint16_t | product_id
uint32_t | device_flags

## Detailed Description

A data structure to hold MTP device entries.

## Field Documentation

## device_flags

uint32_t LIBMTP_device_entry_struct::device_flags

Bugs, device specifics etc

Referenced by dump_usbinfo(), LIBMTP_Detect_Raw_Devices(), LIBMTP_Detect_Raw_Devices(), and LIBMTP_Open_Raw_Device_Uncached().

## product

char* LIBMTP_device_entry_struct::product

The product name of this device

Referenced by dump_usbinfo(), LIBMTP_Detect_Raw_Devices(), and LIBMTP_Detect_Raw_Devices().

## product_id

uint16_t LIBMTP_device_entry_struct::product_id

Product ID for this device

Referenced by configure_usb_device(), dump_usbinfo(), LIBMTP_Detect_Raw_Devices(), and LIBMTP_Detect_Raw_Devices().

## vendor

char* LIBMTP_device_entry_struct::vendor

The vendor of this device

Referenced by dump_usbinfo(), LIBMTP_Detect_Raw_Devices(), and LIBMTP_Detect_Raw_Devices().

## vendor_id

uint16_t LIBMTP_device_entry_struct::vendor_id

Vendor ID for this device

Referenced by configure_usb_device(), dump_usbinfo(), LIBMTP_Detect_Raw_Devices(), and LIBMTP_Detect_Raw_Devices().

The documentation for this struct was generated from the following file:

- libmtp.h